\subsection{Specific topics}

\begin{frame}{Heuristics \& Additions \hfill{} \citeown{Kremer2020}}
	\begin{columns}
		\begin{column}{0.5\textwidth}
			\begin{itemize}
				\item Level of incrementality \\
					{\scriptsize Trade-off between potential \emph{gains and bookkeeping}}
				\item Projection operators \\
					{\scriptsize Collins, Hong, McCallum, Lazard, Brown} \\
					\citeown{Viehmann2017}
				\item Variable ordering \\
					\cite{England2014, Huang2014}
				\item Scheduling of projection and lifting \\
					{\scriptsize Which polynomials and sample points to use first}
			\end{itemize}
		\end{column}
		\begin{column}{0.5\textwidth}
			\begin{itemize}
				\item Equational constraints \\
					{\scriptsize Exploits \emph{equalities} to reduce projection} \\
					\cite{McCallum1999} \citeown{Haehn2018b}
				\item Factorization of polynomials \\
					{\scriptsize Ensures correctness, can reduce projection}
				\item Minimal infeasible subsets \\
					{\scriptsize Allow SAT solver to learn \emph{smaller conflicts}} \\
					\cite{Jaroschek2015}\citethesis{Hentze2017}
			\end{itemize}
		\end{column}
	\end{columns}
\end{frame}

\begin{frame}{Experimental results}
	\begin{itemize}
		\item Timeout: 120s
		\item Benchmarks: \QFNRA from \SMTLIB
	\end{itemize}
	\pause
	\begin{columns}
		\begin{column}{0.5\textwidth}
			Incrementality
			{\scriptsize \input{experiments/output/table-cad-incrementality-beamer.tex}}
			
			\begin{itemize}
				\item Incrementality is \emph{worth the effort}
				\item Bookkeeping \emph{not that costly}
			\end{itemize}
		\end{column}\pause
		\begin{column}{0.5\textwidth}
			Projection operators
			{\scriptsize \input{experiments/output/table-cad-proj-beamer.tex}}
			
			\begin{itemize}
				\item \emph{Confirms} conventional wisdom
				\item Margins \emph{may be surprising}
			\end{itemize}
		\end{column}
	\end{columns}
\end{frame}
